Summary: Administrative utilities for the XFS filesystem.
Name: xfsdump
Version: 2.2.21
Release: 1tr
License: GPL
Group: Trustix Official
Source: ftp://oss.sgi.com/projects/xfs/cmd_tars/xfsdump-%{version}.src.tar.gz
Requires: xfsprogs >= 2.0.0, dmapi >= 2.0.0, attr >= 2.0.0
URL: http://oss.sgi.com/projects/xfs/
BuildRequires: xfsprogs-devel, dmapi-devel, libattr-devel
BuildRoot: /var/tmp/%{name}-root

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q
CFLAGS="$RPM_OPT_FLAGS" ./configure

%build
/usr/bin/make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
export DIST_ROOT DIST_INSTALL
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f build/rpm/rpmfiles

%changelog
* Tue Sep 15 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.21-1tr
- New upstream.

* Thu Jan 29 2004 Chr. Toldnes <christht at trustix dot org> 2.2.16-2tr
- Added buildreq
- monir cleanup

* Mon Jan 26 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.16-1tr
- Initial release for TSL, based off SGI's.

